import { AbstractTransactionHandler } from "../AbstractTransactionHandler";
export class ReorderRootPackagesTransactionHandler extends AbstractTransactionHandler {
    applyTransaction(transaction) {
        if (this.definition.rootPackages.length !== transaction.newOrder.length) {
            throw new Error(`Cannot re-order packages because new order has length ${transaction.newOrder.length} and existing packages have length ${this.definition.rootPackages.length}`);
        }
        const newOrderSet = new Set(transaction.newOrder);
        if (newOrderSet.size < transaction.newOrder.length) {
            throw new Error("Cannot re-order packages because new order contains duplicates");
        }
        this.definition.rootPackages = transaction.newOrder.map((packageId) => this.getPackageOrThrow(packageId).packageId);
    }
}
