import { AbstractTransactionHandler } from "../AbstractTransactionHandler";
export class AbstractObjectTransactionHander extends AbstractTransactionHandler {
    getObjectOrThrow(objectId) {
        const type = this.getTypeOrThrow(objectId);
        if (type.shape.type !== "object") {
            throw new Error(`Type ${objectId} is not an object`);
        }
        return type.shape;
    }
    getObjectPropertyOrThrow(objectId, propertyId) {
        const object = this.getObjectOrThrow(objectId);
        const property = object.properties.find((property) => property.propertyId === propertyId);
        if (property == null) {
            throw new Error(`Property ${propertyId} does not exist`);
        }
        return property;
    }
    getObjectExtensionOrThrow(objectId, extensionId) {
        const object = this.getObjectOrThrow(objectId);
        const extension = object.extensions.find((extension) => extension.extensionId === extensionId);
        if (extension == null) {
            throw new Error(`Extension ${extensionId} does not exist`);
        }
        return extension;
    }
}
